package com.path.connect.redirection;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class RedirectionTarget extends HttpServlet
{

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * The doPost method of the servlet. <br>
     *
     * This method is called when a form has its tag value method equals to
     * post.
     * 
     * @param request the request send by the client to the server
     * @param response the response send by the server to the client
     * @throws ServletException if an error occurred
     * @throws IOException if an error occurred
     */
    public synchronized void doPost(HttpServletRequest request, HttpServletResponse response)
	    throws ServletException, IOException
    {

	System.out.println("Start Of Redirection Target");
	response.setContentType("text/html;charset=UTF-8");
	PrintWriter out = response.getWriter();
	try
	{
	    out.println("<!DOCTYPE html>");
	    out.println("<html><head>");
	    out.println("<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>");
	    out.println("<title>Redirection Target</title></head>");
	    out.println("<body>");
	    out.println("<h1>Redirection Target</h1>");
	    out.println("</body>");
	    out.println("</html>");
	}
	finally
	{
	    out.close();
	}
    }

    /**
     * The doGet method of the servlet. <br>
     *
     * This method is called when a form has its tag value method equals to get.
     * 
     * @param request the request send by the client to the server
     * @param response the response send by the server to the client
     * @throws ServletException if an error occurred
     * @throws IOException if an error occurred
     */
    public synchronized void doGet(HttpServletRequest request, HttpServletResponse response)
	    throws ServletException, IOException
    {
	doPost(request, response);
    }

}
